## audacity 3.7.6+dfsg

=== CMakeLists.txt ===
# If you want built-in precompiled header support
# then make sure you have cmake 3.16 or higher.
#
# Minimum required is 3.15 due to use of multiple values in
# generator expressions.
cmake_minimum_required( VERSION 3.15 )

# If building with GNU compiler, then must be 4.9 or later.
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND
    CMAKE_CXX_COMPILER_VERSION VERSION_LESS "4.9")
   message(FATAL_ERROR "Audacity requires at least GCC 4.9")
endif ()

if( EXISTS "${CMAKE_SOURCE_DIR}/cmake-proxies/cmake-modules/Variables.cmake" )
   include( "${CMAKE_SOURCE_DIR}/cmake-proxies/cmake-modules/Variables.cmake" )
endif()

# We only do alpha builds, beta builds, and release versions.
# Most of the time we're in development, so AUDACITY_BUILD_LEVEL should be
# defined to 0.
# Its value may be more than 0 for pre-release "Beta" builds that differ only
# in the welcome screen, and hiding of some development menu commands, but
# still link to the alpha manual online.

# Set this value to 0 for alpha, 1 for beta, 2 for release builds
if( NOT DEFINED AUDACITY_BUILD_LEVEL )
   set( AUDACITY_BUILD_LEVEL 0 CACHE STRING "0 for alpha, 1 for beta, 2 for release builds" )
endif()

# The Audacity version
# Increment as appropriate after release of a new version, and set back
# AUDACITY_BUILD_LEVEL to 0
set( AUDACITY_VERSION 3 )
set( AUDACITY_RELEASE 7 )
set( AUDACITY_REVISION 6 )
set( AUDACITY_MODLEVEL 0 )

string( TIMESTAMP __TDATE__ "%Y%m%d" )
if( AUDACITY_BUILD_LEVEL EQUAL 0 )
   set( AUDACITY_SUFFIX "-alpha-${__TDATE__}" )
elseif(  AUDACITY_BUILD_LEVEL EQUAL 1 )
   set( AUDACITY_SUFFIX "-beta-${__TDATE__}" )
else()
   set( AUDACITY_SUFFIX "" )
endif()

# Don't allow in-source builds...no real reason, just
# keeping those source trees nice and tidy.  :-)
# (This can be removed if it becomes an issue.)
if( "${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}" )
   message( FATAL_ERROR
      "In-source builds not allowed.\n"
      "Create a new directory and run cmake from there, i.e.:\n"
      "  mkdir build\n"
      "  cd build\n"
      "  cmake ..\n"
      "You will need to delete CMakeCache.txt and CMakeFiles from this directory to clean up."
   )
endif()

# Just a couple of convenience variables
set( topdir "${CMAKE_SOURCE_DIR}" )
set( libsrc "${topdir}/lib-src" )

# Default build type is Debug
if( NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES )
   set( CMAKE_BUILD_TYPE "Debug" )
endif()

# Ignore COMPILE_DEFINITIONS_<Config> properties
cmake_policy( SET CMP0043 NEW )

# Link libraries by full path even in implicit directories.
cmake_policy( SET CMP0060 NEW )

# ``INTERPROCEDURAL_OPTIMIZATION`` is enforced when enabled.
cmake_policy( SET CMP0069 NEW )

# ``FindOpenGL`` prefers GLVND by default when available.
cmake_policy( SET CMP0072 NEW )

# Include file check macros honor ``CMAKE_REQUIRED_LIBRARIES``.
cmake_policy( SET CMP0075 NEW )

# Definitions that must happen before the project() command
if( APPLE )
   # CMAKE_HOST_SYSTEM_PROCESSOR is empty before the project() command
   execute_process(
      COMMAND uname -m
      OUTPUT_VARIABLE HOST_SYSTEM_PROCESSOR
      OUTPUT_STRIP_TRAILING_WHITESPACE
   )

   set( MACOS_ARCHITECTURE "${HOST_SYSTEM_PROCESSOR}" CACHE STRING "Target architecture for macOS builds. One of x86_64/arm64" )

   if( MACOS_ARCHITECTURE STREQUAL "x86_64" )
      set( MIN_MACOS_VERSION 10.9 )
      set( TARGET_MACOS_VERSION 10.13 )
      set( CMAKE_OSX_ARCHITECTURES x86_64 CACHE INTERNAL "" )
   elseif( MACOS_ARCHITECTURE STREQUAL "arm64" )
      set( MIN_MACOS_VERSION 10.13 )
      set( TARGET_MACOS_VERSION 10.13 )
      set( CMAKE_OSX_ARCHITECTURES arm64 CACHE INTERNAL "" )
   else()
      message( FATAL_ERROR "MACOS_ARCHITECTURE must be x86_64 or arm64")
   endif()
   # Generate schema files
   set( CMAKE_XCODE_GENERATE_SCHEME ON )

   # Define the OSX compatibility parameters
   set( CMAKE_OSX_DEPLOYMENT_TARGET ${MIN_MACOS_VERSION} CACHE INTERNAL "" )
   set( CMAKE_OSX_SYSROOT macosx CACHE INTERNAL "" )

   # This prevents a link error when building with the 10.9 or older SDKs
   set( CMAKE_XCODE_ATTRIBUTE_CLANG_LINK_OBJC_RUNTIME OFF )

   # Shouldn't cmake do this???
   string( APPEND CMAKE_CXX_FLAGS " -stdlib=libc++" )
endif()

# Add our module path
# CMAKE_BINARY_DIR is required for Conan to work
set( AUDACITY_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake-proxies/cmake-modules")
set( CMAKE_MODULE_PATH
   ${AUDACITY_MODULE_PATH}
   ${CMAKE_MODULE_PATH}
)

set( CMAKE_PREFIX_PATH
   "${CMAKE_BINARY_DIR}/generators"
   ${CMAKE_PREFIX_PATH}
)

# This "is a good thing" but greatly increases link time on Linux
#set( CMAKE_INTERPROCEDURAL_OPTIMIZATION ON )
#set( CMAKE_INTERPROCEDURAL_OPTIMIZATION_RELEASE ON )
#set( CMAKE_INTERPROCEDURAL_OPTIMIZATION_DEBUG OFF )

# Set the required C++ standard
set( CMAKE_CXX_STANDARD 17 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )

# Use ccache if available
find_program( CCACHE_PROGRAM ccache )
mark_as_advanced( FORCE CCACHE_PROGRAM )

if( CCACHE_PROGRAM )
   set_property( GLOBAL PROPERTY RULE_LAUNCH_COMPILE "${CCACHE_PROGRAM}" )
endif()

# Define option() prefix
set( _OPT "audacity_" )

# Our very own project
project( Audacity )

if( APPLE )
   # XCode 14 no longer allows building unsigned binaries.
   # So for the XCode 14 `-` is passed as the code sign identity, which stands for
   # local signing. `--deep` is passed, because 3d party libraries are copied unsigned.
   # XCODE_VERSION is defined only after the project() command
   if (XCODE_VERSION VERSION_LESS 14)
      set( CMAKE_XCODE_ATTRIBUTE_CODE_SIGN_IDENTITY "" CACHE INTERNAL "" )
   else()
      set( CMAKE_XCODE_ATTRIBUTE_CODE_SIGN_IDENTITY "-" CACHE INTERNAL "" )
      set( CMAKE_XCODE_ATTRIBUTE_OTHER_CODE_SIGN_FLAGS "--deep -o linker-signed --timestamp" CACHE INTERNAL "")
   endif()

   # Xcode 15 breaks compatibility with macOS vesions older than 12
   # https://developer.apple.com/documentation/xcode-release-notes/xcode-15-release-notes#Linking
   if (XCODE_VERSION VERSION_GREATER_EQUAL 15)
      # link_libraries is guaranteed to set the flag for all
      # linker invocations
      link_libraries("-Wl,-ld_classic")
   endif()
endif()

# Load our functions/macros
include( AudacityFunctions )

set_from_env(AUDACITY_ARCH_LABEL) # e.g. x86_64

cmd_option( ${_OPT}crashreport_backend
            "Crashreport engine [crashpad (default), breakpad]"
            "crashpad"
            STRINGS "crashpad" "breakpad")

cmd_option( ${_OPT}bundle_gplv3
            "Bundle GPLv3 license instead of GPLv2 with the resulting binary."
            On)

# Allow user to globally set the library preference
cmd_option( ${_OPT}conan_enabled
            "Use Conan package manager for 3d party dependencies"
            On
)

cmd_option( ${_OPT}conan_allow_prebuilt_binaries
            "Allow using the compiled dependencies from the cache or remotes"
            On
)

cmd_option( ${_OPT}conan_force_build_dependencies
            "Force Conan to rebuild the dependencies every time"
            Off
)

set( ${_OPT}conan_host_profile ""
            CACHE PATH "Use conan host profile located at the specified path, instead of the detected one")

set( ${_OPT}conan_build_profile ""
            CACHE PATH "Use conan build profile located at the specified path, instead of the detected one")

set( ${_OPT}conan_download_cache ""
            CACHE PATH "Use conan download cache located at the specified path")

# Allow user to globally set the library preference
cmd_option( ${_OPT}lib_preference
            "Library preference [system (if available), local]"
            "local"
            STRINGS "system" "local"
)

# Special mode, that will force dependencies to the packages provided by system unless they were set to local explicitly.
cmd_option( ${_OPT}obey_system_dependencies
            "Use system packages to satisfy dependencies"
            Off
)

cmd_option( ${_OPT}has_networking
   "Build networking features into Audacity"
   Off)

cmd_option( ${_OPT}has_url_schemes_support
   "Build custom URL schemes support into Audacity"
   Off)

include( CMakeDependentOption )

cmake_dependent_option(
   ${_OPT}has_tests
   "Enables automated testing support"
   On
   "${_OPT}conan_enabled"
   Off
)

cmake_dependent_option(
   ${_OPT}has_audiocom_upload
   "Enables uploading of Audacity recordings to Audio.com"
   Off
   "${_OPT}has_networking"
   Off
)

cmake_dependent_option(
   ${_OPT}has_updates_check
   "Build updates checking features into Audacity"
   On
   "${_OPT}has_networking"
   Off
)

option(${_OPT}has_vst3
    "Enable support for VST3 plug-ins in Audacity"
    On
)

# Python is used for the manual and (possibly) message catalogs
find_package( Python3 )

if( Python3_FOUND )
   set( PYTHON "${Python3_EXECUTABLE}" )
elseif( CMAKE_SYSTEM_NAME MATCHES "Windows" )
   # This is an odd case now, as Conan requires Python as well
   nuget_package( pkgdir "python3" "3.7.7" )
   file( TO_NATIVE_PATH "${pkgdir}/tools/python.exe" PYTHON )
endif()

# Pull all the modules we'll need
include( CheckCXXCompilerFlag )
include( CheckIncludeFile )
include( CheckIncludeFiles )
include( CheckLibraryExists )
include( CheckSymbolExists )
include( CheckTypeSize )
include( CMakeDetermineASM_NASMCompiler )
include( CMakePushCheckState )
include( GNUInstallDirs )
include( TestBigEndian )

set_from_env(SENTRY_DSN_KEY)
set_from_env(SENTRY_HOST)
set_from_env(SENTRY_PROJECT)
set_from_env(CRASH_REPORT_URL)

option(
   ${_OPT}has_whats_new
   "Show \"What's New\" dialog on startup"
   On
)

cmake_dependent_option(
   ${_OPT}has_crashreports
   "Enables crash reporting for Audacity"
   On
   "${_OPT}has_networking;DEFINED CRASH_REPORT_URL"
   Off
)

cmake_dependent_option(
   ${_OPT}has_sentry_reporting
   "Build support for sending errors to Sentry"
   On
   "${_OPT}has_networking;DEFINED SENTRY_DSN_KEY;DEFINED SENTRY_HOST;DEFINED SENTRY_PROJECT"
   Off
)

# Determine 32-bit or 64-bit target
if( CMAKE_C_COMPILER_ID MATCHES "MSVC" AND CMAKE_VS_PLATFORM_NAME MATCHES "Win64|x64" )
   set( IS_64BIT ON )
elseif( NOT CMAKE_SIZEOF_VOID_P STREQUAL "4" )
   set( IS_64BIT ON )
endif()

if(CMAKE_VS_PLATFORM_NAME MATCHES "ARM64")
   set( IS_ARM64 ON )
   set( IS_64BIT ON )
endif()

message( STATUS "Build Info:" )
message( STATUS "  Host System: ${CMAKE_HOST_SYSTEM}" )
message( STATUS "  Host System Name: ${CMAKE_HOST_SYSTEM_NAME}" )
message( STATUS "  Host System Processor: ${CMAKE_HOST_SYSTEM_PROCESSOR}" )
message( STATUS "  Host System Version: ${CMAKE_HOST_SYSTEM_VERSION}" )

if( IS_ARM64 )
    message(STATUS "  Host System Architecture: 64-bit (ARM64)")
elseif( IS_64BIT )
   message( STATUS "  Host System Architecture: 64-bit" )
else()
   message( STATUS "  Host System Architecture: 32-bit" )
endif()

message( STATUS )
message( STATUS "  Compiler: ${CMAKE_CXX_COMPILER}" )
message( STATUS "  Compiler Version: ${CMAKE_CXX_COMPILER_VERSION}" )
message( STATUS "  Compiler Standard: ${CMAKE_CXX_STANDARD}" )
message( STATUS "  Compiler Standard Required: ${CMAKE_CXX_STANDARD_REQUIRED}" )
message( STATUS "  Compiler Extensions: ${CMAKE_CXX_EXTENSIONS}" )
message( STATUS )

if( CMAKE_GENERATOR MATCHES "Visual Studio" )
   message( STATUS "  MSVC Version: ${MSVC_VERSION}" )
   message( STATUS "  MSVC Toolset: ${MSVC_TOOLSET_VERSION}" )
   message( STATUS )
elseif( CMAKE_SYSTEM_NAME MATCHES "Darwin" )
   if( CMAKE_GENERATOR MATCHES "Xcode" )
      message( STATUS "  Xcode Version: ${XCODE_VERSION}" )
   endif()
   message( STATUS "  MacOS SDK: ${CMAKE_OSX_SYSROOT}" )
   message( STATUS )

   if(${_OPT}has_crashreports)
      set(CMAKE_XCODE_ATTRIBUTE_DEBUG_INFORMATION_FORMAT "dwarf-with-dsym")
   endif()

endif()

# Try to get the current commit information
set( GIT_COMMIT_SHORT "unknown" )
set( GIT_COMMIT_LONG "unknown" )
set( GIT_COMMIT_TIME "unknown" )
find_package( Git QUIET )
if( GIT_FOUND )
   execute_process(
      COMMAND
         ${GIT_EXECUTABLE} show -s "--format=%h;%H;%cd"
      WORKING_DIRECTORY
         ${topdir}
      OUTPUT_VARIABLE

=== src/CMakeLists.txt ===
#[[
Configure the executable, modules, and libraries
]]

set( TARGET Audacity )
set( TARGET_ROOT ${topdir}/src )

include (CheckFunctionExists)

message( STATUS "========== Configuring ${TARGET} ==========" )

# Allow modules to link against the Audacity executable
set( CMAKE_ENABLE_EXPORTS ON )

add_executable( ${TARGET} )
add_dependencies( ${TARGET} locale )
add_dependencies( ${TARGET} nyquist )
add_dependencies( ${TARGET} plug-ins )

def_vars()

# Add a target that will provide the git revision info
# whenever it changes.  (Must be done at build time, not
# configuration time.)
if( DEFINED AUDACITY_REV_LONG AND DEFINED AUDACITY_REV_TIME )
   file( WRITE "${_PRVDIR}/RevisionIdent.h"
      "#define REV_LONG \"${AUDACITY_REV_LONG}\"\n#define REV_TIME \"${AUDACITY_REV_TIME}\"\n"
   )
elseif( GIT_FOUND )
   add_custom_target(
      version
      COMMAND
         ${CMAKE_COMMAND} -D GIT="${GIT_EXECUTABLE}"
                          -D "_PRVDIR=${_PRVDIR}"
                          -P "${AUDACITY_MODULE_PATH}/Version.cmake"
      WORKING_DIRECTORY
         ${topdir}
   )

   add_dependencies( ${TARGET} version )
else()
   # No Git installed and no version data is available.
   # Generate an empty file and let AboutDialog do the rest
   # WRITE, unlike TOUCH, will create any directories needed
   # (see https://github.com/audacity/audacity/issues/2163)
   file( WRITE "${_PRVDIR}/RevisionIdent.h" "" )
endif()

# Handle VST option
cmd_option(
   ${_OPT}use_vst
   "Use VST2 plug-in support [on, off]"
   ON
)
set( USE_VST ${${_OPT}use_vst} CACHE INTERNAL "" )

#
#
#
set( SOURCES
   PRIVATE
      ActiveProject.cpp
      ActiveProject.h
      AboutDialog.cpp
      AboutDialog.h
      $<$<NOT:$<BOOL:${${_OPT}bundle_gplv3}>>:AboutDialogGPLv2Text.cpp>
      $<$<BOOL:${${_OPT}bundle_gplv3}>:AboutDialogGPLv3Text.cpp>
      AdornedRulerPanel.cpp
      AdornedRulerPanel.h
      AnalyzedWaveClip.cpp
      AnalyzedWaveClip.h
      AudacityApp.cpp
      AudacityApp.h
      $<$<BOOL:${wxIS_MAC}>:AudacityApp.mm>
      AudacityFileConfig.cpp
      AudacityFileConfig.h
      AudacityHeaders.cpp
      AudacityHeaders.h
      AudacityMirProject.cpp
      AudacityMirProject.h
      AudioPasteDialog.cpp
      AudioPasteDialog.h
      AutoRecoveryDialog.cpp
      AutoRecoveryDialog.h
      BatchCommandDialog.cpp
      BatchCommandDialog.h
      BatchCommands.cpp
      BatchCommands.h
      BatchProcessDialog.cpp
      BatchProcessDialog.h
      Benchmark.cpp
      Benchmark.h
      CellularPanel.cpp
      CellularPanel.h
      Clipboard.cpp
      Clipboard.h
      ClipMirAudioReader.cpp
      ClipMirAudioReader.h
      CommonCommandFlags.cpp
      CommonCommandFlags.h
      CrashReport.cpp
      CrashReport.h
      DefaultPlaybackPolicy.cpp
      DefaultPlaybackPolicy.h
      Diags.cpp
      Diags.h
      DropTarget.cpp
      EffectAndCommandPluginManager.cpp
      EffectAndCommandPluginManager.h
      ExportLabelTrack.cpp
      DropoutDetector.cpp
      EnvelopeEditor.cpp
      EnvelopeEditor.h
      FrameStatisticsDialog.cpp
      FrameStatisticsDialog.h
      FreqWindow.cpp
      FreqWindow.h
      HelpUtilities.cpp
      HelpUtilities.h
      HistoryWindow.cpp
      HistoryWindow.h
      HitTestResult.h
      IncompatiblePluginsDialog.cpp
      IncompatiblePluginsDialog.h
      JournalEvents.cpp
      JournalEvents.h
      JournalWindowPaths.cpp
      JournalWindowPaths.h
      KeyboardCapture.cpp
      KeyboardCapture.h
      LabelDialog.cpp
      LabelDialog.h
      LangChoice.cpp
      LangChoice.h
      Legacy.cpp
      Legacy.h
      DoEffect.cpp
      DoEffect.h
      ListNavigationEnabled.cpp
      ListNavigationEnabled.h
      ListNavigationPanel.cpp
      ListNavigationPanel.h
      MenuCreator.cpp
      MenuCreator.h
      MixerBoard.cpp
      MixerBoard.h
      MouseWheelHandler.cpp
      MovableControl.cpp
      MovableControl.h
      NoteTrackEditing.cpp
      PluginDataModel.cpp
      PluginDataModel.h
      PluginDataViewCtrl.cpp
      PluginDataViewCtrl.h
      PluginRegistrationDialog.cpp
      PluginRegistrationDialog.h
      PluginStartupRegistration.cpp
      PluginStartupRegistration.h
      Profiler.cpp
      Profiler.h
      ProjectAudioManager.cpp
      ProjectAudioManager.h
      ProjectFileManager.cpp
      ProjectFileManager.h
      ProjectManager.cpp
      ProjectManager.h
      ProjectSettings.cpp
      ProjectSettings.h
      ProjectTempoListener.cpp
      ProjectTimeRuler.cpp
      ProjectTimeRuler.h
      ProjectWindow.cpp
      ProjectWindow.h
      ProjectWindowBase.cpp
      ProjectWindowBase.h
      RefreshCode.h
      ProjectWindows.cpp
      ProjectWindows.h
      RealtimeEffectPanel.cpp
      RealtimeEffectPanel.h
      ScrubState.cpp
      ScrubState.h
      SelectUtilities.cpp
      SelectUtilities.h
      ShuttleGetDefinition.cpp
      ShuttleGetDefinition.h
      SoundActivatedRecord.cpp
      SoundActivatedRecord.h
      SpectralDataDialog.cpp
      SpectralDataManager.h
      SpectralDataManager.cpp
      SseMathFuncs.cpp
      SseMathFuncs.h
      TagsEditor.cpp
      TagsEditor.h
      ThemedWrappers.h
      TimeDialog.cpp
      TimeDialog.h
      TimeDisplayMode.cpp
      TimeDisplayMode.h
      TimeTrackEditing.cpp
      TimerRecordDialog.cpp
      TimerRecordDialog.h
      TimerRecordExportDialog.cpp
      TimerRecordExportDialog.h
      TrackArt.cpp
      TrackArt.h
      TrackArtist.cpp
      TrackArtist.h
      TrackInfo.cpp
      TrackInfo.h
      TrackPanel.cpp
      TrackPanel.h
      TrackPanelAx.cpp
      TrackPanelAx.h
      TrackPanelCell.cpp
      TrackPanelCell.h
      TrackPanelConstants.h
      TrackPanelDrawable.cpp
      TrackPanelDrawable.h
      TrackPanelDrawingContext.h
      TrackPanelMouseEvent.h
      TrackPanelResizeHandle.cpp
      TrackPanelResizeHandle.h
      TrackPanelResizerCell.cpp
      TrackPanelResizerCell.h
      TrackUtilities.cpp
      TrackUtilities.h
      UIHandle.cpp
      UIHandle.h
      TransportUtilities.cpp
      TransportUtilities.h
      VoiceKey.cpp
      VoiceKey.h
      WaveTrackLocation.cpp
      WaveTrackLocation.h

      $<$<BOOL:${_OPT}has_whats_new>:
         WhatsNewDialog.cpp
         WhatsNewDialog.h
      >

      # Commands

      commands/AppCommandEvent.cpp
      commands/AppCommandEvent.h
      commands/AudacityCommand.cpp
      commands/AudacityCommand.h
      commands/BatchEvalCommand.cpp
      commands/BatchEvalCommand.h
      commands/Command.cpp
      commands/Command.h
      commands/CommandBuilder.cpp
      commands/CommandBuilder.h
      commands/CommandDirectory.cpp
      commands/CommandDirectory.h
      commands/CommandDispatch.cpp
      commands/CommandDispatch.h
      commands/CommandHandler.cpp
      commands/CommandHandler.h
      commands/CommandManagerWindowClasses.cpp
      commands/CommandManagerWindowClasses.h
      commands/CommandMisc.h
      commands/CommandSignature.cpp
      commands/CommandSignature.h
      commands/CommandType.cpp
      commands/CommandType.h
      commands/CompareAudioCommand.cpp
      commands/CompareAudioCommand.h
      commands/Demo.cpp
      commands/Demo.h
      commands/DragCommand.cpp
      commands/DragCommand.h
      commands/GetInfoCommand.cpp
      commands/GetInfoCommand.h
      commands/GetTrackInfoCommand.cpp
      commands/GetTrackInfoCommand.h
      commands/HelpCommand.cpp
      commands/HelpCommand.h
      commands/ImportExportCommands.cpp
      commands/ImportExportCommands.h
      commands/LoadCommands.cpp
      commands/LoadCommands.h
      commands/MessageCommand.cpp
      commands/MessageCommand.h
      commands/OpenSaveCommands.cpp
      commands/OpenSaveCommands.h
      commands/PreferenceCommands.cpp
      commands/PreferenceCommands.h
      commands/ResponseQueue.cpp
      commands/ResponseQueue.h
      commands/ScriptCommandRelay.cpp
      commands/ScriptCommandRelay.h
      commands/SelectCommand.cpp
      commands/SelectCommand.h
      commands/SetClipCommand.cpp
      commands/SetClipCommand.h
      commands/SetEnvelopeCommand.cpp
      commands/SetEnvelopeCommand.h
      commands/SetLabelCommand.cpp
      commands/SetLabelCommand.h
      commands/SetProjectCommand.cpp
      commands/SetProjectCommand.h
      commands/SetTrackInfoCommand.cpp
      commands/SetTrackInfoCommand.h
      commands/Validators.h
      commands/wxCommandTargets.cpp
      commands/wxCommandTargets.h

      # Built-in Effects

      effects/Amplify.cpp
      effects/Amplify.h
      effects/AutoDuck.cpp
      effects/AutoDuck.h
      effects/BasicEffectUIServices.cpp
      effects/BasicEffectUIServices.h
      effects/BassTreble.cpp
      effects/BassTreble.h
      effects/ChangePitch.cpp
      effects/ChangePitch.h
      effects/ChangeSpeed.cpp
      effects/ChangeSpeed.h
      effects/ChangeTempo.cpp
      effects/ChangeTempo.h
      effects/ClickRemoval.cpp
      effects/ClickRemoval.h
      effects/ClipIndicatorPanel.cpp
      effects/ClipIndicatorPanel.h
      effects/CompressionMeterPanel.cpp
      effects/CompressionMeterPanel.h
      effects/Contrast.cpp
      effects/Contrast.h
      effects/Distortion.cpp
      effects/Distortion.h
      effects/DtmfGen.cpp
      effects/DtmfGen.h
      effects/DynamicRangeProcessorDummyOutputs.h
      effects/DynamicRangeProcessorEditor.cpp
      effects/DynamicRangeProcessorEditor.h
      effects/DynamicRangeProcessorEffectUtils.cpp
      effects/DynamicRangeProcessorEffectUtils.h
      effects/DynamicRangeProcessorHistoryPanel.cpp
      effects/DynamicRangeProcessorHistoryPanel.h
      effects/DynamicRangeProcessorPanelCommon.cpp
      effects/DynamicRangeProcessorPanelCommon.h
      effects/DynamicRangeProcessorTransferFunctionPanel.cpp
      effects/DynamicRangeProcessorTransferFunctionPanel.h
      effects/Echo.cpp
      effects/Echo.h
      effects/EffectEditor.cpp
      effects/EffectEditor.h
      effects/EffectPreview.cpp
      effects/EffectPreview.h
      effects/EffectPresetDialog.cpp
      effects/EffectPresetDialog.h
      effects/EffectUI.cpp
      $<$<BOOL:${wxIS_MAC}>:effects/EffectUI.mm>
      effects/EffectUI.h
      effects/EffectUIServices.cpp
      effects/EffectUIServices.h
      effects/Equalization.cpp
      effects/Equalization.h
      effects/Equalization48x.cpp
      effects/Equalization48x.h
      effects/EqualizationBandSliders.cpp
      effects/EqualizationBandSliders.h
      effects/EqualizationCurvesDialog.cpp
      effects/EqualizationCurvesDialog.h
      effects/EqualizationPanel.cpp
      effects/EqualizationPanel.h
      effects/EqualizationUI.cpp
      effects/EqualizationUI.h
      effects/FindClipping.cpp
      effects/FindClipping.h
      effects/LegacyCompressor.cpp
      effects/LegacyCompressor.h
      effects/Limiter.cpp
      effects/Limiter.h
      effects/LimiterEditor.cpp
      effects/LimiterEditor.h
      effects/Loudness.cpp
      effects/Loudness.h
      effects/Noise.cpp
      effects/Noise.h
      effects/NoiseReduction.cpp
      effects/NoiseReduction.h
      effects/Normalize.cpp
      effects/Normalize.h
      effects/Paulstretch.cpp
      effects/Paulstretch.h
      effects/Phaser.cpp
      effects/Phaser.h
      effects/Compressor.cpp
      effects/Compressor.h
      effects/CompressorEditor.cpp
      effects/CompressorEditor.h
      effects/RealtimeEffectStateUI.cpp
      effects/RealtimeEffectStateUI.h
      effects/RegisterBuiltinEffects.cpp
      effects/RegisterBuiltinEffects.h
      effects/Repeat.cpp
      effects/Repeat.h
      effects/Reverb.cpp
      effects/Reverb.h
      effects/ScienFilter.cpp
      effects/ScienFilter.h
      effects/ScoreAlignDialog.cpp
      effects/ScoreAlignDialog.h
      effects/Silence.cpp
      effects/Silence.h
      effects/StatefulEffectUIServices.cpp
      effects/StatefulEffectUIServices.h
      effects/StatelessPerTrackEffect.cpp
      effects/StatelessPerTrackEffect.h
      effects/TimeScale.cpp
      effects/TimeScale.h
      effects/ToneGen.cpp
      effects/ToneGen.h

=== debian/changelog ===
audacity (3.7.6+dfsg-1) unstable; urgency=medium

  * New upstream version 3.7.6+dfsg
  * Update d/watch to version 5
  * Refresh patchset

 -- Dennis Braun <snd@debian.org>  Wed, 10 Dec 2025 16:12:58 +0100

## audacity 3.7.7%2Bdfsg

=== debian/changelog ===
audacity (3.7.7+dfsg-0.1~mx25) mx; urgency=medium

  * New upstream bugfix version 3.7.7+dfsg

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 14 Dec 2025 12:43:17 -0800

## audacity 3.7.7+dfsg

=== libraries/lib-crypto/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
# SPDX-FileName: CMakeLists.txt
# SPDX-FileContributor: Dmitry Vedenko
#[[
A set of helpers for working with cryptographic functions.
]]

set( SOURCES
   crypto/MD5.cpp
   crypto/MD5.h
   crypto/SHA256.cpp
   crypto/SHA256.h
)
set( LIBRARIES
   PUBLIC
)
audacity_library( lib-crypto "${SOURCES}" "${LIBRARIES}"
   "" "" )

=== modules/import-export/mod-wavpack/CMakeLists.txt ===
#[[
WavPack import and export
]]

set( TARGET mod-wavpack )

set( SOURCES
      ImportWavPack.cpp
      ExportWavPack.cpp
      WavPack.cpp
)

set( LIBRARIES
   PRIVATE
      wavpack::wavpack
      lib-crypto
)

set (EXTRA_CLUSTER_NODES "${LIBRARIES}" PARENT_SCOPE)

list(APPEND LIBRARIES
   lib-import-export-interface
)

audacity_module( ${TARGET} "${SOURCES}" "${LIBRARIES}" "" "" )

=== debian/changelog ===
audacity (3.7.7+dfsg-1) unstable; urgency=medium

  * New upstream version 3.7.7+dfsg
  * Bump Standards-Version to 4.7.3

 -- Dennis Braun <snd@debian.org>  Fri, 26 Dec 2025 14:49:07 +0100

=== debian/control ===
Source: audacity
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
           Benjamin Drung <bdrung@debian.org>,
           David Henningsson <diwic@ubuntu.com>,
           Jaromír Mikeš <mira.mikes@seznam.cz>,
           Dennis Braun <snd@debian.org>
Standards-Version: 4.7.3
Build-Depends: cmake (>= 3.15),
               debhelper-compat (= 13),
               gettext,
               libasound2-dev [linux-any],
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libexpat1-dev,
               libexpat1-dev:native,
               libflac++-dev,
               libgtk-3-dev,
               libgtk-3-dev:native,
               libid3tag0-dev,
               libjack-dev | libjack-jackd2-dev,
               liblilv-dev,
               libmp3lame-dev (>= 3.100-5~),
               libmp3lame-dev:native,
               libmpg123-dev,
               libogg-dev,
	       libopusfile-dev,
	       libportmidi-dev,
               libportmidi-dev:native,
               libportsmf-dev,
               libsbsms-dev (>= 2.2.0~),
               libsndfile1-dev,
               libsndfile1-dev:native,
               libsoundtouch-dev,
               libsoxr-dev,
               libsoxr-dev:native,
               libsqlite3-dev,
               libsqlite3-dev:native,
               libsratom-dev,
               libsuil-dev,
               libtwolame-dev,
               libvorbis-dev,
               libvst3sdk-dev,
               libwavpack-dev (>= 5.2.0),
               libwxgtk3.2-dev,
               libwxgtk3.2-dev:native,
               lv2-dev,
               portaudio19-dev,
               portaudio19-dev:native,
	       rapidjson-dev,
               uuid-dev,
               uuid-dev:native,
               vamp-plugin-sdk,
               zlib1g-dev,
               zlib1g-dev:native
Homepage: https://www.audacityteam.org/
Vcs-Browser: https://salsa.debian.org/multimedia-team/audacity
Vcs-Git: https://salsa.debian.org/multimedia-team/audacity.git

Package: audacity
Architecture: any
Depends: audacity-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ladspa-plugin
Description: fast, cross-platform audio editor
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and
 Windows.  It is designed for easy recording, playing and editing of
 digital audio.  Audacity features digital effects and spectrum
 analysis tools.  Editing is very fast and provides unlimited
 undo/redo.
 .
 Supported file formats include Ogg Vorbis, MP2, MP3, WAV, AIFF, and AU.

Package: audacity-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: audacity
Description: fast, cross-platform audio editor (data)
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and
 Windows.  It is designed for easy recording, playing and editing of
 digital audio.  Audacity features digital effects and spectrum
 analysis tools.  Editing is very fast and provides unlimited
 undo/redo.
 .
 This package contains the architecture-independent data files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CMAKE_FLAGS = \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DCMAKE_INSTALL_LIBDIR=lib \
	-Daudacity_conan_enabled=Off \
	-Daudacity_has_networking=Off \
	-Daudacity_has_vst3=Off \
	-Daudacity_lib_preference=system \
	-Daudacity_use_ffmpeg=loaded \
	-Daudacity_use_vst3sdk=system \
	-DwxBUILD_TOOLKIT=gtk3 \
	-DCMAKE_DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
	$(NULL)

ifeq (,$(findstring ~,$(DEB_VERSION_UPSTREAM)))
# No ~ in upstream version. Assuming release version (i.e. not alhpa or beta version)
CMAKE_FLAGS += -DAUDACITY_BUILD_LEVEL=2
endif

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CROSS_CMAKE_FLAGS = -DIMAGE_COMPILER_EXECUTABLE=$(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)/RelWithDebInfo/bin/image-compiler
endif

ifeq ($(DEB_HOST_ARCH),i386)
 export DEB_CFLAGS_MAINT_APPEND = -mfpmath=sse -msse2
 export DEB_CXXFLAGS_MAINT_APPEND = -mfpmath=sse -msse2
endif

DISABLE_LIBRARIES = \
	-Daudacity_use_libflac=off \
	-Daudacity_use_libid3tag=off \
	-Daudacity_use_libmad=off \
	-Daudacity_use_libmpg123=off \
	-Daudacity_use_libogg=off \
	-Daudacity_use_libopus=off \
	-Daudacity_use_libvorbis=off \
	-Daudacity_use_lv2=off \
	-Daudacity_use_portsmf=off \
	-Daudacity_use_sbsms=off \
	-Daudacity_use_soundtouch=off \
	-Daudacity_use_twolame=off \
	-Daudacity_use_vamp=off \
	-Daudacity_use_wavpack=off \
	$(NULL)

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	rm -rf obj-$(DEB_BUILD_GNU_TYPE)
endif
	dh_clean libraries/lib-theme-resources/*Code.h

override_dh_auto_configure:
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c \
		dh_auto_configure --reload-all-buildenv-variables --builddirectory=obj-$(DEB_BUILD_GNU_TYPE) -- \
		$(CMAKE_FLAGS) $(DISABLE_LIBRARIES)
	cmake --build obj-$(DEB_BUILD_GNU_TYPE) --target image-compiler
endif
	WX_CONFIG=/usr/lib/$(DEB_HOST_GNU_TYPE)/wx/config/gtk3-unicode-3.2 dh_auto_configure -- $(CMAKE_FLAGS) $(CROSS_CMAKE_FLAGS)

execute_after_dh_auto_install:
	# Don't package unnecessary copy of GPL
	rm debian/tmp/usr/share/doc/audacity/LICENSE.txt

=== debian/watch ===
Version: 5
Dversion-Mangle: auto
Repacksuffix: +dfsg
Template: Github
Owner: audacity
Project: audacity
